
QGIS Application - Bug report #3038

OTFP issue with RNCan LCC

2010-09-23 08:58 AM - jdenisgiguere -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Projection Support

Affected QGIS version:master Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 13098

Description

On the fly reprojection of data based on RNCan Lambert Conic Conformal SRS is incorrect.

Steps to reproduce:

    -  Add a WMS layer from Nasa JPL (Global mosaic) with SRS=WGS84

    -  Enable OTFP with SRS=WGS84

    -  Zoom to Nova-Scotia (http://en.wikipedia.org/wiki/Nova_Scotia)

    -  Add NRC 50K layer from http://cfs.nrcan.gc.ca/files/485 and http://cfs.nrcan.gc.ca/files/486 (SRS can be manually specified from

information given on http://cfs.nrcan.gc.ca/subsite/wulder/nts-manager with the same result).

    -  Observe that south of Nova-Scotia is not covered by NRC.

Reprojecting file using ogr2ogr gives expected result.

I'm using qgis 1.5.0 from ubuntugis-unstable repository (1.5.0-2~lucid1).

Here is the unexpected result with OTFP 

http://flic.kr/p/8DnFLH

Here is the expected result with ogr2ogr reprojection

http://flic.kr/p/8DqN1q

History

#1 - 2011-12-16 01:55 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2012-04-16 06:24 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

#3 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2017-05-01 12:58 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Regression? set to No

- Easy fix? set to No

2024-04-19 1/2

http://en.wikipedia.org/wiki/Nova_Scotia
http://cfs.nrcan.gc.ca/files/485
http://cfs.nrcan.gc.ca/files/486
http://cfs.nrcan.gc.ca/subsite/wulder/nts-manager
http://flic.kr/p/8DnFLH
http://flic.kr/p/8DqN1q


#6 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
